Subject: [bug#57788] [PATCH] gnu: rust: Disable debug info to reduce build requirements

From: Mark H Weaver <[email-masked]>
Date: Tue, 01 Nov 2022 01:11:02 -0400

Hi Efraim,

Efraim Flashner <[email-masked]> writes:
> Sorry about that, I was modifying as I went and after updating mrustc to
> a later commit the "if (true) add '-g'" spots in mrustc got changed to
> depend on enabling debug, and I found that after removing -g from the
> makefiles it wasn't being added anymore.

Ah, so perhaps there's no longer any need to modify
mrustc/tools/minicargo/build.cpp.  So much the better!

> I'll make sure to be more careful in the future about commit
> attribution.

Thank you, Efraim.  I'm grateful to you for your work on this.

       Mark

-- 
Disinformation flourishes because many people care deeply about injustice
but very few check the facts.  Ask me about <https://stallmansupport.org>.